The official website for The Settlers of Catan

“Catan – Cities & Knights” –
Additional Information On How to
Run Program in Mac OS X


Installation

  • Please run the installation while logged into your computer with the user account you later want to use for playing the game.
  • "Catan – Cities & Knights" will be installed into your own home directory, since this is where the game stores its settings and, if necessary, post-installs updates from the Internet.

You will find the installed application "Catan - Cities & Knights" in your home directory under "Applications" / "Catan."


Using the Compatibility Mode on Older Macs

"Catan - Cities & Knights" is basically ready to be run on older Macintosh computers with PPC processor using Mac OS 10.5 X "Leopard." However, we recommend the use of a modern Intel based Mac with 64 bit processor (Core 2 Duo or newer).

To run "Catan - Cities & Knights" on a Mac with a 32 bit Intel processor (Core Duo) or a PPC processor, you have to switch the game to the so-called "compatibility mode" (unless this was done automatically during installation).

Please click here to learn more about the compatibility mode.

Compatibility Mode


Mac OS X Compatibility Mode

"Catan - Cities & Knights" is basically ready to be run on older Macintosh computers with PPC processor using Mac OS 10.5 X "Leopard." However, we recommend the use of a modern Intel based Mac with 64 bit processor (Core 2 Duo or newer) and Mac OS X 10.5 "Leopard" (or newer).

Please note: It is highly recommended that you install the latest Java update on your Mac. You may conveniently install it via "Software Update" in the "Apple" menu. You can also find the free download at http://support.apple.com/downloads/.

Running "Catan - Cities & Knights" on an Older Macintosh Computer

You can find out about the type of processor you are using by clicking on "About this Mac" in the "Apple" menu.

If your Mac features one of the following processors:

  • PowerPC processor
  • Intel Core Duo processor (as opposed to "Core 2 Duo")

then "Catan - Cities & Knights" will display the error message shown below:

Falsche Java-Version

"Catan - Cities & Knights" should preferably be run with Java 1.6, also known as "J2SE 6." However, Java 1.6 is available only for Macintosh computers with Mac OS X 10.5 (or newer) and 64 bit processors (Intel Core 2 Duo or newer).

To run "Catan - Cities & Knights" on a Mac with an older processor (Intel Core Duo or PowerPC), you can switch "Catan Cities & Knights" to a compatibility mode. Afterwards, the program will also run with Java 1.5.

Please note that the optimal program execution is only possible with Java 1.6. If this Java version is not available on your Mac, please follow the following easy steps to activate the compatibility mode in "Catan & Cities & Knights."

Step 1: Show Package Contents

Please right-click on the "Catan - Cities & Knights" program icon (or click on it while holding down the Ctrl key) and select "Show Package Contents."

Paketinhalt anzeigen

Step 2: Activate Compatibility Mode

A window opens where you can see an application icon named "Compatibility_mode_on.command." Please open it by double-clicking on it.

Kompatibilitätsmodus aufrufen

The following window is displayed:

Kompatibilitätsmodus aktiviert

If, subsequently, you want to deactivate the compatibility mode (e.g., after migrating your user profile to a new Mac or after updating the operating system), you may do so by double-clicking on the "Compatibility_mode_off.command" application icon.

Afterwards, please close both the "Completed Command" window and the "Catan - Cities & Knights" package contents.

Step 3: "Catan - Cities & Knights" Now Also Runs on Your Mac

„Catan - Städte & Ritter“ läuft